QGIS Application - Bug report #8876
Error disinstalling VTerrain lugin
2013-10-16 12:22 PM - aperi2007 -

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17556
Description

When try to disinstall the plugin VTerrain.
| have a python error:

Si ¢ verificato un errore durante |'esecuzione delle seguenti istruzioni:
pyplugin_installer.instance().uninstallPlugin('VTerrain')

Traceback (most recent call last):
File ™, line 1, in
File "C:/my-programs/OSGeo4W/apps/qgis-dev/./python\\pyplugin_installer\\installer.py", line 383, in uninstallPlugin
pluginDir = qgis.utils.home_python_pluginpath + "/" + plugin["id"]
AttributeError: 'module’ object has no attribute 'home_python_pluginpath’

Versione Python:
2.7.4 (default, Apr 6 2013, 19:54:46) [MSC v.1500 32 bit (Intel)]

Versione di QGIS:
2.1.0-Master 'Master', e04b426

Percorso Python:

['C:/Users/Andrea/.qgis2/python/plugins\\\\processinglwgeomprovider',
'C:/my-programs/OSGeo4W/apps/qgis-dev/./python/plugins\\\\processing', 'C:/my-programs/OSGeo4W/apps/qgis-dev/./python’,
u'C:/Users/Andrea/.qgis2/python’, u'C:/Users/Andrea/.qgis2/python/plugins’,
'C:/my-programs/OSGeo4W/apps/qgis-dev/./python/plugins’, 'C:\\\\my-programs\\WOSGeo4W\\\\bin\\\\python27.zip',
'C:\\\my-programs\\WOSGeo4dW\\\apps\\\Python27\\\DLLs', 'C:\\\my-programs\\WOSGeo4 W\\apps\\Python27\\\lib',
'C:\\\my-programs\\WOSGeo4dW\\\apps\\\\Python27\\\lib\\\\plat-win', 'C:\\\my-programs\\WOSGeo4W\\\\apps\\\Python27\\\lib\\\lib-tk',
'C:\\\my-programs\\WOSGeo4W\bin', 'C:\\\my-programs\\WOSGeo4W\\\\apps\\\Python27"',
'C:\\\my-programs\\WOSGeo4W\\apps\\\\Python27\\\lib\\\\site-packages',
'C:\\\my-programs\\WOSGeo4W\\apps\\\\Python27\\\lib\\\\site-packages\\\PIL',
'C:\\my-programs\\WOSGeo4W\\\apps\\\Python27\\\\lib\\\\site-packages\\\win32',
'C:\\my-programs\\WOSGeo4W\\\apps\\\Python27\\\lib\\\\site-packages\\\win32\\\\lib',
'C:\W\my-programs\\WOSGeo4W\\\apps\\\Python27\\\lib\\\\site-packages\\\Pythonwin',
'C:\\\my-programs\\WOSGeo4W\\\apps\\\\Python27\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode’,
'C:\\\my-programs\\WOSGeo4dW\\\apps\\\qgis-dev\\\python\\\plugins\\\fTools\\\\tools']

Associated revisions

Revision b114dceb - 2013-10-17 11:55 AM - Borys Jurgiel

[Plugin installer] fix #8876
History

#1 - 2013-10-17 02:57 AM - Borys Jurgiel
- Status changed from Open to Closed

Fixed in changeset commit:"b114dceb1aeal15f51b7526d2d1ebfca0f3073c36".

#2 - 2013-10-17 02:58 AM - Borys Jurgiel
- Affected QGIS version changed from 2.0.1 to master
